# eric3.QScintilla.LexerSQL

Module implementing a SQL lexer with some additional methods.

### Classes

LexerSQL | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerSQL

Subclass to implement some additional lexer dependant methods.

### Derived from

QextScintillaLexerSQL, Lexer

### Methods

LexerSQL | Constructor

### LexerSQL (Constructor)

LexerSQL(parent=None, name=None)

Constructor

parent
  parent widget of this lexer
name
  name of this lexer

Up